import request from '@/config/axios'

// AI TTS文转音 VO
export interface TtsVO {
  id: number // 编号
  name: string // 发音人名字
  model: string // 发音人标识
  platform: string // TTS平台
  type: number // 发音人类型
  sort: number // 排序
  status: number // 状态
  speechRate: number // 语速
  volume: number // 语调
  pitchRate: number // 音量
  tenantId: Number // 租户id
}

// AI TTS文转音 API
export const TtsApi = {
  // 查询AI TTS文转音分页
  getTtsPage: async (params: any) => {
    return await request.get({ url: `/ai/tts/page`, params })
  },

  // 查询AI TTS文转音详情
  getTts: async (id: number) => {
    return await request.get({ url: `/ai/tts/get?id=` + id })
  },

  // 新增AI TTS文转音
  createTts: async (data: TtsVO) => {
    return await request.post({ url: `/ai/tts/create`, data })
  },

  // 修改AI TTS文转音
  updateTts: async (data: TtsVO) => {
    return await request.put({ url: `/ai/tts/update`, data })
  },

  // 删除AI TTS文转音
  deleteTts: async (id: number) => {
    return await request.delete({ url: `/ai/tts/delete?id=` + id })
  },

  // 导出AI TTS文转音 Excel
  exportTts: async (params) => {
    return await request.download({ url: `/ai/tts/export-excel`, params })
  },

  // 查询AI TTS文转音列表
  getTtsSimpleList: async () => {
    return await request.get({ url: `/ai/tts/simple-list`})
  },

  // 文本转语音
  convert: async (params: any) => {
    return await request.post({ url: `/ai/tts/convert`, params })
  }
}
